package com.ruoyi.logistics.mapper;

import com.ruoyi.logistics.domain.LargeRequest;

import java.util.List;
import java.util.Map;

public interface LargeScreenReportMapper {
    List<Map> queryOrderTypeReport(LargeRequest largeRequest);

    List<Map<String,Object>> queryDayOrdersReport(LargeRequest largeRequest);

    List<Map<String,Object>> queryProvinceOrdersReport(LargeRequest largeRequest);

    List<Map> queryFreeOrdersReport(LargeRequest largeRequest);

    List<Map> queryOrdersReportByFree(LargeRequest largeRequest);

    List<Map> queryOrdersReportByNum(LargeRequest largeRequest);

    List<Map<String,Object>> queryDeptMonthlyGrowthRate(LargeRequest largeRequest);

    List<Map> queryTransportTypeReport(LargeRequest largeRequest);

    List<Map> queryDeptList(LargeRequest largeRequest);

    List<Map> queryProvinceList(LargeRequest largeRequest);

    List<Map<String, Object>> queryLogisticsTrajectoryOutflow(LargeRequest largeRequest);

    List<Map<String, Object>> queryLogisticsTrajectoryinflow(LargeRequest largeRequest);
}
